com.thinkaurelius.titan.diskstorage.common

## Enum DistributedStoreManager.Deployment

- java.lang.Object
- - java.lang.Enum<DistributedStoreManager.Deployment>
  - - com.thinkaurelius.titan.diskstorage.common.DistributedStoreManager.Deployment

- All Implemented Interfaces:
    Serializable, Comparable<DistributedStoreManager.Deployment>
  Enclosing class:
    DistributedStoreManager

      public static enum DistributedStoreManager.Deployment
      extends Enum<DistributedStoreManager.Deployment>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `EMBEDDED` Embedded with storage backend and communicates inside the JVM
    `LOCAL` Connects to storage backend over localhost or some other connection with very low latency
    `REMOTE` Connects to storage backend over the network or some other connection with significant latency

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static DistributedStoreManager.Deployment` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static DistributedStoreManager.Deployment[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### REMOTE

          public static final DistributedStoreManager.Deployment REMOTE

      Connects to storage backend over the network or some other connection with significant latency

    - #### LOCAL

          public static final DistributedStoreManager.Deployment LOCAL

      Connects to storage backend over localhost or some other connection with very low latency

    - #### EMBEDDED

          public static final DistributedStoreManager.Deployment EMBEDDED

      Embedded with storage backend and communicates inside the JVM

  - ### Method Detail

    - #### values

          public static DistributedStoreManager.Deployment[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (DistributedStoreManager.Deployment c : DistributedStoreManager.Deployment.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static DistributedStoreManager.Deployment valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2012–2014. All rights reserved.